textures/ut4_boxcity/glass1
{
	qer_trans 0.5
	surfaceparm nolightmap
	cull twosided
        {
                  map textures/ut4_boxcity/glass1.tga
                  tcGen environment
                  tcMod turb 0 0.01 0 0.01
                  tcmod scroll .01 .01
                  blendfunc GL_ONE GL_ONE
        }
}

textures/ut4_boxcity/ladderclip
{
        qer_trans 0.3
	qer_editor_image textures/ut4_boxcity/ladderclip.jpg 
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
	surfaceparm trans
	surfaceparm nodamage
}

textures/ut4_boxcity/water1
{
	qer_editorimage textures/ut4_boxcity/water1
	qer_trans 0.6
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformVertexes wave 128 sin .25 .25 0 .5	
	{
		map textures/ut4_boxcity/water1.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		tcMod turb 0.1 0.1 0.1 0.1
	}
	{
		map textures/ut4_boxcity/water1.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		tcMod turb 0 0.2 2 .2
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

textures/ut4_boxcity/water1-flow
{
	qer_editorimage textures/ut4_boxcity/water1-flow
	qer_trans 0.6
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin .25 .25 0 .5	
	{
		map textures/ut4_boxcity/water1.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		tcMod turb 0.1 0.1 0.1 0.1
		tcMod scroll 0.0 -1.5
	}
	{
		map textures/ut4_boxcity/water1.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		tcMod turb 0.1 0.1 0.1 0.1
		tcMod scroll 0.0 -1.5
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

textures/ut4_boxcity/water1-flow-slow
{
	qer_editorimage textures/ut4_boxcity/water1-flow
	qer_trans 0.6
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin .25 .25 0 .5	
	{
		map textures/ut4_boxcity/water1.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		tcMod turb 0.1 0.1 0.1 0.1
		tcMod scroll 0.0 -0.5
	}
	{
		map textures/ut4_boxcity/water1.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		tcMod turb 0.1 0.1 0.1 0.1
		tcMod scroll 0.0 -0.5
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

textures/ut4_boxcity/neontube1
{
	q3map_surfacelight 50000
	surfaceparm nomarks
	surfaceparm nonsolid
	{
		map textures/ut4_boxcity/neontube1.jpg
	}
}

textures/ut4_boxcity/glass_brick
{
	q3map_surfacelight 30000
	surfaceparm nomarks
	{
		map textures/ut4_boxcity/glass_brick.jpg
	}
}

textures/ut4_boxcity/noclip-floor1
{
	qer_editorimage textures/urban_terror4/ww-brick01brown.jpg
	surfaceparm nonsolid
	{
		map textures/urban_terror4/ww-brick01brown.jpg
	}
}

textures/ut4_boxcity/lab-floor-lum
{
	qer_editorimage textures/urban_terror3/whitetile.jpg
	{
		map textures/urban_terror3/whitetile.jpg
	}

	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

textures/ut4_boxcity/lab-wall-lum
{
	qer_editorimage textures/ut4_boxcity/labwall.tga
	{
		map textures/ut4_boxcity/labwall.tga
	}

	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

textures/ut4_boxcity/LabWall-1
{
	qer_editorimage textures/ut4_boxcity/labwall.tga
	{
		map textures/ut4_boxcity/labwall.tga
	}

	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

textures/ut4_boxcity/fence1
{
	qer_editorimage textures/urbanq3_misc2/fence
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm alphashadow
	surfaceparm noimpact
	cull twosided
	nopicmip

	{
		map textures/urbanq3_misc2/fence
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


//from sweetnutz, eagle
textures/ut4_boxcity/sw_flame1
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull twosided
	q3map_surfacelight 7500
	qer_editorimage textures/eagle/flame1.tga
	

	{
		animMap 10 textures/eagle/flame1.tga textures/eagle/flame2.tga textures/eagle/flame3.tga textures/eagle/flame4.tga textures/eagle/flame5.tga textures/eagle/flame6.tga textures/eagle/flame7.tga textures/eagle/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/eagle/flame2.tga textures/eagle/flame3.tga textures/eagle/flame4.tga textures/eagle/flame5.tga textures/eagle/flame6.tga textures/eagle/flame7.tga textures/eagle/flame8.tga textures/eagle/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/eagle/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6
	}

}

models/mapobjects/br_computers/br_laptopscreen
{
//Well, I just couldnt resist changing the texture...sorry blackrayne :(
//~Ry, 6th jan '10
	nomipmaps
	nopicmip
	qer_editorimage textures/ut4_boxcity/laptop1
	q3map_surfacelight 1200
	
	{
		animMap 4 textures/ut4_boxcity/laptop1 textures/ut4_boxcity/laptop2 textures/ut4_boxcity/laptop3 textures/ut4_boxcity/laptop4
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}	
}

// BIG FKING THANKS TO DELIRIUM FOR THIS
textures/ut4_boxcity/lava1
{
	qer_editorimage	textures/ut4_boxcity/lava.tga
        q3map_globaltexture
	q3map_lightsubdivide 32
	q3map_lightmapFilterRadius 0 8
	q3map_surfacelight 7500
	q3map_lightRGB 0.81 0.28 0.15
        qer_trans 0.5

        surfaceparm trans
	surfaceparm nolightmap
        surfaceparm lava 
        cull disable
	//fogparms ( 0.94 0.50 0.16 ) 512
	{
		map textures/ut4_boxcity/lava.tga
		blendFunc gl_dst_color gl_one
		rgbGen identity
		tcMod scroll 0.01 -0.01
		tcMod turb 0.1 0.1 0.1 0.1
	}
	{
		map textures/ut4_boxcity/lava_glow.tga
		blendFunc add
		rgbGen wave sin 0 1 1 0.2
		alphaGen wave sin 0 1 0.4 0.2
		tcMod scroll 0.01 -0.01
		tcMod turb 0.1 0.1 0.1 0.1
	}
	{
		map textures/ut4_boxcity/lava.tga
		blendFunc gl_dst_color gl_one
		rgbGen identity
		tcMod scale 0.5 0.5
		tcMod scroll 0.05 -0.01
		tcMod turb 0.1 0.1 0.5 0.1
	}
}

textures/ut4_boxcity/lavacaulk
{
	qer_editorimage textures/ut4_boxcity/lavacaulk.tga
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm detail
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm lava
}

textures/ut4_boxcity/lava2
{
	qer_editorimage	textures/ut4_boxcity/lava.tga
        q3map_globaltexture
	q3map_lightsubdivide 32
	q3map_lightmapFilterRadius 0 8
	q3map_surfacelight 7500
	q3map_lightRGB 0.81 0.28 0.15
        qer_trans 0.5

        surfaceparm trans
	surfaceparm nolightmap
        surfaceparm lava 
        cull disable
	{
		map textures/ut4_boxcity/lava.tga
		blendFunc gl_dst_color gl_one
		rgbGen identity
		tcMod scroll 0.01 -0.01
		tcMod turb 0.1 0.1 0.1 0.1
	}
	{
		map textures/ut4_boxcity/lava.tga
		blendFunc gl_dst_color gl_one
		rgbGen identity
		tcMod scale 0.5 0.5
		tcMod scroll 0.05 -0.01
		tcMod turb 0.1 0.1 0.5 0.1
	}
}

models/mapobjects/defcon_tree/tree2
{
	qer_editorimage textures/ut4_boxcity/tree_leaves
	cull none
	nopicmip
	surfaceparm lightfilter
	surfaceparm alphashadow

	{
		map textures/ut4_boxcity/tree_leaves
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/ut4_boxcity/vendetta-decal
{
	qer_editorimage textures/ut4_boxcity/vendetta-decal
	nopicmip
	polygonOffset
	entityMergable
	{
		clampmap textures/ut4_boxcity/vendetta-decal
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_boxcity/watercaulk
{
	qer_editorimage textures/water/watercaulk.tga
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm detail
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
}

models/mapobjects/kt_miscrocks/rock
{
	qer_editorimage models/mapobjects/ut4_boxcity/rock
	q3map_forceMeta
	q3map_nonPlanar
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/spkat3/rocks_5b.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		tcMod scale 0.1 0.1
	}
}

models/mapobjects/ut4_boxcity/rock
{
	qer_editorimage models/mapobjects/ut4_boxcity/rocks_5b
	q3map_forceMeta
	q3map_nonPlanar
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/ut4_boxcity/rocks_5b
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		tcMod scale 0.1 0.1
	}
}

textures/ut4_boxcity/neon-red
{
	qer_editorimage textures/ut4_boxcity/neon-red.tga
	surfaceparm nodamage
	q3map_surfaceLight 10
	{
		map textures/ut4_boxcity/neon-red.tga
	}
}

// fog h4x
// just looks like it was fog
// but isnt real fog
// but someway still is
// wtf Dx
// better dont use this D:
textures/ut4_boxcity/fogwhite
{
	qer_editorimage textures/ut4_boxcity/fog
	qer_trans 0.4
	surfaceparm fog
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	fogparms ( 1 1 1 ) 1024

}

textures/ut4_boxcity/dust1
{
	qer_editorimage textures/null_beach/sand_1
	surfaceparm dust
	{
		map textures/null_beach/sand_1
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}

models/mapobjects/br_flourlight/br_flourlight
{
	surfaceparm nolightmap
	nopicmip
	nomipmaps
	q3map_surfaceLight 25000
	{
		map models/mapobjects/br_flourlight/br_flourlight.jpg
	}
}


